///	\file	DirMcd.h
///	\brief	DirMcd.h
#ifndef DirMCD_H__
#define DirMCD_H__

#include <string>

#include "define.h"
#include "exception.h"
#include "Mcd.h"

namespace MLS {
	///	\brief	DirMcd class
	class DirMcd:public Mcd
	{
		protected:
			int		Rescan();
			int		Scan(dir *, int = 1);
			int		DrawEtc(void);
			void	Help();
			int		McdExecute(int nKey);
			
		public:
			DirMcd(string = "", const char * = "MCD - Mls Change Directory");
			~DirMcd();
		
			int		AddDirectory(const std::string &);
	};
	
}; // namespace

#endif //DirMCD_H__
