/* *************************************************************************
 *   Copyright (C) 2004 by Byoungyoung, La                                 *
 *   la9527@yahoo.co.kr                                                    *
 *                                                                         *
 ************************************************************************* */
///	\file	define.h
///	\brief	define.h
 
#ifndef __DEFINE_H__
#define __DEFINE_H__

// 프로그램 기본세팅
 
#include <stdio.h>
#include <stdlib.h>
#include <dirent.h>
#include <sys/stat.h>
#include <time.h>
#include <string>
#include <map>
#include <vector>
#include <unistd.h>
#include <iostream>
#include <fstream>
#include <string>

using namespace std;

#define		ERROR	-1		///< ERROR 정의
#define		SUCCESS 0		///< SUCCESS 정의

//#define		LOGGING	0   // 이건 컴파일 -DLOGGING 옵션 줘서 사용합시다.

typedef unsigned int uint;	///< unsigned int 재정의 

#ifdef LOGGING
#include <stdio.h>
#include <stdarg.h>

extern char *logfile; // main.cpp에 정의 

///	\brief	로그를 파일에 저장한다.
///	\param	szStr	로그 내용
inline void LOG(char*szStr,...)
{
    va_list args;
    char szBuf[256];

    va_start(args,szStr);
    vsprintf(szBuf,szStr,args);
    va_end(args);

	FILE*fp=fopen(logfile,"a+");
	if (fp)
	{
		fprintf(fp,"%s\n",szBuf);
		fclose(fp);
	}
	else
	{
		cout << "log file open error !!!" << endl;
	}
}

#else

// gnu 전용...
#define LOG(fmt, args...)
#endif


#endif
