///	@file	strutil.h
///	@brief	strutil.h
#ifndef STRUTIL_H__
#define STRUTIL_H__

#include <string>

///	@brief	string 유틸리티
namespace strutil
{
using namespace std;

string tolower(const string &p);
string chop(const string &p);
string getbetween(const string &p, const char f, const char r);
string replace(const string &p, const char*find, const char*replace);
string toregular(unsigned int number);
string addslash(const string &p);
string krstrncpy(	const string sSrc, int nLength);
int    krstrlen(const string sStr);
string strmid(int nLength, const string sStr);
};

#endif//STRUTIL_H__
