#ifndef __KEYBIND_H__
#define __KEYBIND_H__

#include <string>
#include <map>

namespace MLS 
{
	class KeyBind
	{
		std::map<int, std::string> bindings;
		std::map<int, std::string> meta_bindings;
			
	public:
		KeyBind();
		~KeyBind();
		
		int Load(const std::string &);
		
		std::string GetCommand(int key);
		std::string GetMetaCommand(int key);
		std::string GetKeyStr(std::string sCommand);
	};
}; // namespace 

#endif
